﻿Type=Service
Version=5.2
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'1. TestA crash immediately
'2. If Starter.bas is renamed to other name it'll be OK
'   and StartService() when Activity is FirstTime executed
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'Let It StartAtBoot = TRUE to avoid late starting
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#Region  Service Attributes 
	#StartAtBoot: True
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public eAILib As eAIFAILib
	
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	Log("B4A Service is created")
	
	ToastMessageShow("Service is created...",True)	
	
End Sub

Sub Service_Start (StartingIntent As Intent)
	Log("B4A Service is started")
	
	ToastMessageShow("Service is Started...",True)	
	'...................................................................................................
	'StartForeground requests Android not to kill this process. Android treat this 
	'App as if it is a visible application and will not kill it.
	'...................................................................................................
	Service.StartForeground(0,Null)			'No notification required

End Sub


Sub Service_Destroy

End Sub
